Unverified Commit debb4b69 authored by Kroese's avatar Kroese Committed by GitHub
Browse files

fix: Continue when range request fails (#680)

parent c6d3dda1
Loading
Loading
Loading
Loading
+6 −2
Original line number Diff line number Diff line
@@ -122,9 +122,13 @@ if [ ! -f "$RDC" ]; then
  { curl -r "$POS" -sfk -S -o "$RD" "$LOC"; rc=$?; } || :

  fKill "progress.sh"
  (( rc != 0 )) && error "Failed to download $LOC, reason: $rc" && exit 60

  if (( rc != 0 )); then
    (( rc != 22 )) && error "Failed to download $LOC, reason: $rc" && exit 60
    SUM="skip"
  else
    SUM=$(md5sum "$RD" | cut -f 1 -d " ")
  fi

  if [ "$SUM" != "$VERIFY" ]; then